<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubscribersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users_subscribers', function (Blueprint $table) {
            $table->primary(['user_id', 'subscriber_id']);
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('subscriber_id');
            //$table->boolean('leader')->default(0);
            $table->unsignedTinyInteger('leader')->default(0);
            $table->boolean('autosubscription')->default(true);

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('subscriber_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subscribers');
    }
}
